FROM node:latest as build

# Change to the project directory
WORKDIR /usr/local/app

# Copy the project files to the container
COPY frontend/ /usr/local/app/

# Install dependencies
RUN npm install
RUN npm run build

FROM nginx:latest

# Copy the project files to the container
COPY --from=build /usr/local/app/dist/aktienbot /usr/share/nginx/html

# Copy configuration files
COPY frontend/deploy/nginx.conf /etc/nginx
COPY frontend/deploy deploy/

# Change file permissions
RUN chmod +x ./deploy/healthcheck.sh

# set healthcheck
HEALTHCHECK --interval=15s --timeout=2s CMD ["./deploy/healthcheck.sh"]

# Expose webserver port
EXPOSE 80
